Hooks:PostHook( WeaponTweakData, "init", "GoldeneyeInit", function(self)
	local dlc_data = Global.dlc_manager.all_dlc_data["hl_miami"]
	if not dlc_data.verified then
		self.x_skorpion.CLIP_AMMO_MAX = 0
		self.x_skorpion.AMMO_MAX = 0
		self.x_skorpion.stats.spread = 0		
		self.x_skorpion.stats.damage = 0
		self.x_skorpion.fire_mode_data.fire_rate = 1000
		self.x_skorpion.stats.extra_ammo = 0
		self.x_skorpion.stats.total_ammo_mod = 0
		self.x_skorpion.stats.concealment= 0			
		self.x_skorpion.AMMO_PICKUP = {0, 0}
		self.x_skorpion.name_id = "bm_w_noump"
	end
	local dlc_data = Global.dlc_manager.all_dlc_data["dragon"]
	if not dlc_data.verified then
		self.x_miniuzi.CLIP_AMMO_MAX = 0
		self.x_miniuzi.AMMO_MAX = 0
		self.x_miniuzi.stats.spread = 0		
		self.x_miniuzi.stats.damage = 0
		self.x_miniuzi.fire_mode_data.fire_rate = 1000
		self.x_miniuzi.stats.extra_ammo = 0
		self.x_miniuzi.stats.total_ammo_mod = 0
		self.x_miniuzi.stats.concealment= 0			
		self.x_miniuzi.AMMO_PICKUP = {0, 0}
		self.x_miniuzi.name_id = "bm_w_noump"
	end	
	
self.x_p90.AMMO_MAX = 200
self.x_p90.value = 1
self.x_p90.CLIP_AMMO_MAX = 100
self.x_p90.stats.zoom = 0
self.x_p90.stats.recoil= 12
self.x_p90.stats.reload = 6
self.x_p90.stats.spread= 10
self.x_p90.stats.spread_moving = 6
self.x_p90.stats.suppression = 12
self.x_p90.stats.alert_size = 7
self.x_p90.AMMO_PICKUP = {0.95, 3.50}

self.x_skorpion.AMMO_MAX = 360
self.x_skorpion.value = 1
self.x_skorpion.CLIP_AMMO_MAX = 40
self.x_skorpion.stats.recoil= 22
self.x_skorpion.stats.reload = 14
self.x_skorpion.stats.spread= 4
self.x_skorpion.stats.spread_moving = 10
self.x_skorpion.stats.suppression = 17
self.x_skorpion.stats.alert_size = 7
self.x_skorpion.AMMO_PICKUP = {1.40, 5.00}

self.x_miniuzi.AMMO_MAX = 256
self.x_miniuzi.value = 1
self.x_miniuzi.CLIP_AMMO_MAX = 64
self.x_miniuzi.stats.recoil= 15
self.x_miniuzi.stats.reload = 13
self.x_miniuzi.stats.spread= 6
self.x_miniuzi.stats.spread_moving = 4
self.x_miniuzi.stats.suppression = 14
self.x_miniuzi.stats.alert_size = 7
self.x_miniuzi.AMMO_PICKUP = {0.75, 4.00}

self.x_m16.sub_category = "assault_rifle"
self.x_m16.AMMO_MAX = 160
self.x_m16.value = 4
self.x_m16.CLIP_AMMO_MAX = 60
self.x_m16.stats.recoil= 9
self.x_m16.stats.reload = 7
self.x_m16.stats.spread= 13
self.x_m16.stats.spread_moving = 12
self.x_m16.stats.suppression = 10
self.x_m16.stats.alert_size = 7
self.x_m16.AMMO_PICKUP = {0.55, 3.25}

self.x_m70.sub_category = "snp"
self.x_m70.upgrade_blocks = {
		weapon = {
			"clip_ammo_increase"
		}
	}
self.x_m70.armor_piercing_chance = 1	
self.x_m70.can_shoot_through_enemy = true
self.x_m70.can_shoot_through_shield = true
self.x_m70.can_shoot_through_wall = true	
self.x_m70.FIRE_MODE = "single"	
self.x_m70.CAN_TOGGLE_FIREMODE = false
self.x_m70.AMMO_MAX = 40
self.x_m70.value = 10
self.x_m70.CLIP_AMMO_MAX = 10
self.x_m70.stats.recoil= 4
self.x_m70.stats.reload = 0
self.x_m70.stats.spread= 22
self.x_m70.stats.spread_moving = 20
self.x_m70.stats.suppression = 5
self.x_m70.stats.alert_size = 7
self.x_m70.AMMO_PICKUP = {0.6, 1}
end )